Endpoints
Search
Search across songs, artists, and albums. Optionally filter by item type.
Query Parameters
q*string
Search query
type?string
Filter by item type (song, artist, or album). If omitted, searches all types.
Value in
"song" | "artist" | "album"artist?string
Filter by artist name (applies to songs and albums)
album?string
Filter by album name (applies to songs)
isrc?string
Filter by ISRC code (applies to songs)
upc?string
Filter by UPC code (applies to albums)
limit?integer
Default
20Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueResponse Body
application/json
curl -X GET "https://api.vleer.app/metadata/v1/search?q=string"{
"type": "string",
"data": [
{
"id": "string",
"name": "string",
"artist": [
{
"id": "string",
"name": "string"
}
],
"album": [
{
"id": "string",
"name": "string"
}
],
"genres": [
"string"
],
"image": "http://example.com",
"disc_number": 0,
"track_number": 0,
"duration": 0,
"isrc": "string",
"date": "string"
}
],
"total": 0,
"limit": 0,
"offset": 0
}